<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full pl-6">
  <div class="pt-6 flex items-center gap-4">
    <app-type-icon [size]="44"></app-type-icon>
    <div class="grow">
      <div class="text-text-500 text-xl font-semibold">{{ item.title }}</div>
    </div>
    <div class="pr-6 flex flex-col items-end">
      <app-item-options [item]="item"></app-item-options>
    </div>
  </div>
  <div class="mt-14 flex flex-col gap-1">
    <div class="text-text-500 text-base flex items-center gap-2">
      <div class="text-text-300">oid:</div>
      <app-long-id [id]="item.oid" [width]="200" copyMessage="OID coppied to clipboard"></app-long-id>
    </div>
    <div class="flex items-center text-text-300 gap-2">
      <i [class]="type.icon"></i>
      <div>{{ type.title.length <= 0 ? 'Unknown type' : type.title }}</div>
    </div>
    <div *ngIf="item.organisation" class="flex items-center gap-2">
      <div class="text-text-300 flex items-center gap-2">
        <i class="fa fa-house-user" style="font-size: 0.8rem"></i>
        <div>owner:</div>
      </div>
      <div>{{ item.organisation.name }}</div>
    </div>
    <div *ngIf="item['SPADE:Privacy']" class="flex items-center gap-2">
      <div class="text-text-300 flex items-center gap-2">
        <i [class]="privacyIcon" style="font-size: 0.9rem"></i>
        <div>privacy:</div>
      </div>
      <div>{{ item['SPADE:Privacy'].Caption | titlecase }}</div>
    </div>
    <div *ngIf="online && contractsButton" class="mt-2">
      <app-open-item-contracts [item]="item"></app-open-item-contracts>
    </div>
  </div>
  <div class="mt-14">
    <app-interactions-list [item]="item" type="foreign-items"></app-interactions-list>
  </div>
</div>
